#ifndef FORMPCUSETTINGS_H
#define FORMPCUSETTINGS_H

#include <QWidget>
#include "BaseWidget.h"

#include "DataTypeDef.h"

namespace Ui {
class FormPcuSettings;
}

class FormPcuSettings : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormPcuSettings(BaseWidget *parent = nullptr);
    ~FormPcuSettings();

    bool returnParent() override;

private:
    void refreshData();
    void updateData();

    void connectAllValueChanged(QWidget *widget);

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::FormPcuSettings *ui;
    PCU_CFG m_pcu_cfg;
};

#endif // FORMPCUSETTINGS_H
